package cn.com.countrygarden.bi.main.model.twerp.hm;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

@Table(name = "Tb_DeskTop_经营主题_收款方式")
public class TbDesktop经营主题收款方式 {
    @Id
    @Column(name = "IID")
    private String iid;

    @Column(name = "SortID")
    private Long sortid;

    @Column(name = "CommID")
    private Integer commid;

    @Column(name = "OrganCode")
    private String organcode;

    @Column(name = "CommName")
    private String commname;

    @Column(name = "OrganName")
    private String organname;

    @Column(name = "StatYear")
    private Integer statyear;

    @Column(name = "StatMonth")
    private Integer statmonth;

    private BigDecimal 现金;

    private BigDecimal 房产代付;

    private BigDecimal 银行代扣;

    @Column(name = "POS刷卡")
    private BigDecimal pos刷卡;

    private BigDecimal 房产支付空置房;

    private BigDecimal 其他;

    @Column(name = "total")
    private BigDecimal total;

    /**
     * @return IID
     */
    public String getIid() {
        return iid;
    }

    /**
     * @param iid
     */
    public void setIid(String iid) {
        this.iid = iid;
    }

    /**
     * @return SortID
     */
    public Long getSortid() {
        return sortid;
    }

    /**
     * @param sortid
     */
    public void setSortid(Long sortid) {
        this.sortid = sortid;
    }

    /**
     * @return CommID
     */
    public Integer getCommid() {
        return commid;
    }

    /**
     * @param commid
     */
    public void setCommid(Integer commid) {
        this.commid = commid;
    }

    /**
     * @return OrganCode
     */
    public String getOrgancode() {
        return organcode;
    }

    /**
     * @param organcode
     */
    public void setOrgancode(String organcode) {
        this.organcode = organcode;
    }

    /**
     * @return CommName
     */
    public String getCommname() {
        return commname;
    }

    /**
     * @param commname
     */
    public void setCommname(String commname) {
        this.commname = commname;
    }

    /**
     * @return OrganName
     */
    public String getOrganname() {
        return organname;
    }

    /**
     * @param organname
     */
    public void setOrganname(String organname) {
        this.organname = organname;
    }

    /**
     * @return StatYear
     */
    public Integer getStatyear() {
        return statyear;
    }

    /**
     * @param statyear
     */
    public void setStatyear(Integer statyear) {
        this.statyear = statyear;
    }

    /**
     * @return StatMonth
     */
    public Integer getStatmonth() {
        return statmonth;
    }

    /**
     * @param statmonth
     */
    public void setStatmonth(Integer statmonth) {
        this.statmonth = statmonth;
    }

    /**
     * @return 现金
     */
    public BigDecimal get现金() {
        return 现金;
    }

    /**
     * @param 现金
     */
    public void set现金(BigDecimal 现金) {
        this.现金 = 现金;
    }

    /**
     * @return 房产代付
     */
    public BigDecimal get房产代付() {
        return 房产代付;
    }

    /**
     * @param 房产代付
     */
    public void set房产代付(BigDecimal 房产代付) {
        this.房产代付 = 房产代付;
    }

    /**
     * @return 银行代扣
     */
    public BigDecimal get银行代扣() {
        return 银行代扣;
    }

    /**
     * @param 银行代扣
     */
    public void set银行代扣(BigDecimal 银行代扣) {
        this.银行代扣 = 银行代扣;
    }

    /**
     * @return POS刷卡
     */
    public BigDecimal getPos刷卡() {
        return pos刷卡;
    }

    /**
     * @param pos刷卡
     */
    public void setPos刷卡(BigDecimal pos刷卡) {
        this.pos刷卡 = pos刷卡;
    }

    /**
     * @return 房产支付空置房
     */
    public BigDecimal get房产支付空置房() {
        return 房产支付空置房;
    }

    /**
     * @param 房产支付空置房
     */
    public void set房产支付空置房(BigDecimal 房产支付空置房) {
        this.房产支付空置房 = 房产支付空置房;
    }

    /**
     * @return 其他
     */
    public BigDecimal get其他() {
        return 其他;
    }

    /**
     * @param 其他
     */
    public void set其他(BigDecimal 其他) {
        this.其他 = 其他;
    }

    public BigDecimal getTotal() {
        return total;
    }

    public void setTotal(BigDecimal total) {
        this.total = total;
    }
}